import request from '@/utils/request'

// 查询商品;列表
export function listProduct_info(query) {
  return request({
    url: '/product/product/list',
    method: 'get',
    params: query
  })
}

// 查询商品;详细
export function getProduct_info(id) {
  return request({
    url: '/product/product/' + id,
    method: 'get'
  })
}

// 新增商品;
export function addProduct_info(data) {
  return request({
    url: '/product/product',
    method: 'post',
    data: data
  })
}

// 修改商品;
export function updateProduct_info(data) {
  return request({
    url: '/product/product',
    method: 'put',
    data: data
  })
}

// 删除商品;
export function delProduct_info(id) {
  return request({
    url: '/product/product/' + id,
    method: 'delete'
  })
}
